%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-ast
Version: 0.87.0
Release: alt2
Summary: Ast video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-ast = %version-%release
Obsoletes: xorg-x11-drv-ast

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-util-macros xorg-sdk
BuildRequires: xorg-fontsproto-devel xorg-randrproto-devel xorg-renderproto-devel xorg-videoproto-devel xorg-xextproto-devel

ExclusiveArch: %ix86

%description
ast is an Xorg driver for Ast video cards.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-ast.xinf %buildroot%_hwdatadir/ast.xinf
install -pD -m644 11-x11-video-ast.fdi %buildroot%_fdidir/20-x11-video-ast.fdi

%files
%_modulesdir/drivers/*.so
%_hwdatadir/ast.xinf
%_fdidir/20-x11-video-ast.fdi

%changelog
* Thu Feb 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.87.0-alt2
- requires XORG_ABI_VIDEODRV = 5.0

* Wed Jan 07 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.87.0-alt1
- 0.87.0

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.85.0-alt3
- requires XORG_ABI_VIDEODRV = 4.1

* Wed Jun 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.85.0-alt2
- renamed xorg-x11-drv-ast to xorg-drv-ast
- added requires XORG_ABI_VIDEODRV = 2.0
- convert xinf to fdi

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.85.0-alt1
- initial release
